function [r,a]=rndsptfn(x,y)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% [r,a]=rndsptfn(x,y)
% RouND SPoT FuNction
%   Returns a two-dimensional cost value for the input x and y coordinate
%       replicating a spiralling pattern moving outward and
%       counter-clockwise. This function is to be used with rtncll and
%       and irtncll functions.
%
% INPUT ARGUMENTS:
%       x    -> Cartesion X coordinate.
%       y    -> Cartesion Y coordinate.
%
% OUTPUT ARGUMENT:
%       r    -> Primary cost value.
%       a    -> Secondary cost value.
%
% EXAMPLE:
%	H = rtnsprcll(256, 10, 15, 'rndsptfn', 5);
%   imshow(H(l));
%
% Dr. Daniel L. Lau
% dllau@engr.uky.edu
%
% August 21, 2007
% Copyright 2007 Dr. Daniel L. Lau
%
% Last modified on November 26, 2007
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

[a,r]=cart2pol(x,y);

return;
