function [r,a]=ylnsptfn(x,y)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% [r,a]=ylnsptfn(x,y)
% Y-LiNe SPoT FuNction
%   Returns a two-dimensional cost value for the input x and y coordinate
%       replicating an increasingly thick vertical line. This function is
%        to be used with rtncll and and irtncll functions.
%
% INPUT ARGUMENTS:
%       x    -> Cartesion X coordinate.
%       y    -> Cartesion Y coordinate.
%
% OUTPUT ARGUMENT:
%       r    -> Primary cost value.
%       a    -> Secondary cost value.
%
% EXAMPLE:
%	H = rtnsprcll(256, 10, 15, 'ylnsptfn', 5);
%   imshow(H(l));
%
% Dr. Daniel L. Lau
% dllau@engr.uky.edu
%
% August 21, 2007
% Copyright 2007 Dr. Daniel L. Lau
%
% Last modified on November 26, 2007
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

r=abs(y);
a=abs(x);

return;
