/****************************************************************************************/
/*                                                                                      */
/* Cyan-Magenta-Yellow to Red-Green-Blue transform                                      */
/*      This function converts an CMY image to an RGB image.                            */
/*                                                                                      */
/* Synopsis:                                                                            */
/*      Y=cmy2rgb(X)                                                                    */
/*              X=Continuous tone CMY original image (size MxNx3) of type double.       */
/*              Y=Continuous tone RGB image (size MxNx3) of type double.                */
/*                                                                                      */
/* Daniel Leo Lau                                                                       */
/* Copyright June 12, 2000                                                              */
/*                                                                                      */
/****************************************************************************************/ 
function Y=cmy2rgb(X)

[M,N,C]=size(X);
if (C~=3 | max(X(:))>1) error('Image X must be a CMY image of type double!'); end;

Y=ones(size(X))-X;
return;
