%**************************************************************************************%
%                                                                                      %
% Cyan-Magenta-Yellow-blacK to Cyan-Magenta-Yellow transform                           %
%      This function converts an CMYK image to a CMY image.                            %
%                                                                                      %
% Synopsis:                                                                            %
%      Y=cmyk2cmy(X)                                                                   %
%              X=Continuous tone CMYK original image (size MxNx4) of type double.      %
%              Y=Continuous tone CMY image (size MxNx3) of type double.                %
%                                                                                      %
% Daniel Leo Lau                                                                       %
% Copyright June 12, 2000                                                              %
%                                                                                      %
%**************************************************************************************% 
function Y=cmyk2rgb(X)

[M,N,C]=size(X);
if (C~=4 | max(X(:))>1) error('Image X must be a CMYK image of type double!'); end;
Y=zeros(M,N,3);

Y(:,:,1)=X(:,:,1)+X(:,:,4);
Y(:,:,2)=X(:,:,2)+X(:,:,4);
Y(:,:,3)=X(:,:,3)+X(:,:,4);

return;
