%**************************************************************************************%
%                                                                                      %
% Cyan-Magenta-Yellow-blacK to Red-Green-Blue transform                                %
%      This function converts an CMYK image to an RGB image.                           %
%                                                                                      %
% Synopsis:                                                                            %
%      Y=cmyk2rgb(X)                                                                   %
%              X=Continuous tone CMYK original image (size MxNx4) of type double.      %
%              Y=Continuous tone RGB image (size MxNx3) of type double.                %
%                                                                                      %
% Daniel Leo Lau                                                                       %
% Copyright June 12, 2000                                                              %
%                                                                                      %
%**************************************************************************************% 
function Y=cmyk2rgb(X)

[M,N,C]=size(X);
if (C~=4 | max(X(:))>1) error('Image X must be a CMYK image of type double!'); end;

X(:,:,1)=X(:,:,1)+X(:,:,4);
X(:,:,2)=X(:,:,2)+X(:,:,4);
X(:,:,3)=X(:,:,3)+X(:,:,4);

Y=ones(M,N,3)-X(:,:,1:3);
Y=Y.*(Y>0);
return;
