%**************************************************************************************%
%                                                                                      %
% imshowCMYK                                                                           %
%      This function displays a CMY or a CMYK image.                                   %
%                                                                                      %
% Synopsis:                                                                            %
%      h=imshowCMYK(X)                                                                 %
%              X=Continuous tone CMY or CMYK original image.                           %
%              h=handle to the axis containing the image.                              %
%                                                                                      %
% Daniel Leo Lau                                                                       %
% Copyright June 12, 2000                                                              %
%                                                                                      %
%**************************************************************************************% 
function h=imshowCMYK(X)

[M,N,C]=size(X);
if (C==3)
	h=imshow(double(~X));
elseif (C==4)
	h=imshow(cmyk2rgb(double(X)));
else
	error('Input image X must be a CMY or CMYK image.');
end;

return;
