%**************************************************************************************%
%                                                                                      %
% Red-Green-Blue to Cyan-Magenta-Yellow transform                                      %
%      This function converts an RGB image to a CMY image.                             %
%                                                                                      %
% Synopsis:                                                                            %
%      Y=rgb2cmy(X)                                                                    %
%              X=Continuous tone RGB original image (size MxNx3) of type double.       %
%              Y=Continuous tone CMY image (size MxNx3) of type double.                %
%                                                                                      %
% Daniel Leo Lau                                                                       %
% Copyright June 12, 2000                                                              %
%                                                                                      %
%**************************************************************************************% 
function Y=rgb2cmy(X)

[M,N,C]=size(X);
if (C~=3 | max(X(:))>1) error('Image X must be an RGB image of type double!'); end;

Y=ones(size(X))-X;
return;
