function [h, X]=disphex(Y, str)

if (nargin<2)
	str='raster';
end;

h=figure;
if (strcmp(str, 'raster'))
	[M,N]=size(Y);
	X=zeros(M*2,N*2);
	for m=1:M
		for n=1:N
			X(2*m-1:2*m,(2*n-1:2*n)+rem(m+1,2))=ones(2,2)*double(Y(m,n));
		end;
	end;
	imshow(X);
    
    [M, N]=size(X);
    X=[[X(:,1)+X(:,N)] X(:,2:N-1)];
else
	px=cos([-30:60:330]*pi/180)*0.5/cos(pi/6);
	py=sin([-30:60:330]*pi/180)*0.5/cos(pi/6);
	for m=0:size(Y,1)-1
		for n=0:size(Y,2)-1
			patch(n+px+rem(m,2)/2,m/2*sqrt(3)+py,Y(m+1,n+1));
		end;
	end;
	axis image; colormap(gray); shading flat;
	set(gca, 'ydir', 'reverse', ...
	         'xlim', [0 size(Y,2)-1], ...
			 'ylim', [0 (size(Y,1)-1)/2*sqrt(3)], ...
			 'clim', [0 1]);
	hold off;
end;
zoom on;
return;
