function F=hxdft(H)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  F=hxdft(K, d)
%  HeXagonal Discrete Fourier Transform (function)
%	Outputs the discrete fourier transform of an NxN
%	hexagonally sampled matrix.
%  
%  INPUT ARGUMENTS:
% 	X   -> NxN matrix
%	
%  OUTPUT ARGUMENTS:
% 	F   -> Fourier transform of the matrix X
%	
%  EXAMPLE:
% 	Y = hxerrdif(H);
%	F=hxdft(Y);
%	imagesc(hxshift(F)); axis image;
%	
%  Dr. Daniel L. Lau
%  dllau@engr.uky.edu
% 
%  July 19, 2004
%  Copyright 2004 Dr. Daniel L. Lau
% 
%  Last modified on July 19, 2004
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

F=fft2(skew(H,-2,0));
F=skew(F,0,-2);

return;
