function Y=skew(X, R, S)

if (nargin<3)
	S=0;
end;

Y=X;
if (R~=0)
	for m=1:size(X,1)
		l=sign(R)*(ceil(m/abs(R))-1);
		Y(m,:)=circ_shift(X(m,:), 0, l);
	end;
end;

X=Y;
if (S~=0)
	for n=1:size(X,2)
		l=sign(S)*(ceil(n/abs(S))-1);
		Y(:,n)=circ_shift(X(:,n), l, 0);
	end;
end;

return;



function Y=circ_shift(X,R,S)

[M,N]=size(X);
Y=zeros(M,N);
for m=1:M
	if (S>0)
		Y(m,:)=[X(m,[(N-S+1):N]) X(m,[1:(N-S)])];
	elseif (S<0)
		Y(m,:)=[X(m,[(abs(S)+1):N]) X(m,[1:abs(S)])];
	else
		Y(m,:)=X(m,:);
	end;
end;
X=Y;
for n=1:N
	if (R>0)
		Y(:,n)=[X([(M-R+1):M],n); X([1:(M-R)],n)];
	elseif (R<0)
		Y(:,n)=[X([(abs(R)+1):M],n); X([1:abs(R)],n)];
	else
		Y(:,n)=X(:,n);
	end;
end;

return;
