function [Hv, HVS]=hvs(H, dpi, dis) 

if (nargin<2) 
	dpi=600; 
end; 
if (nargin<3) 
	dis=20; 
end; 

HVS=get_hvs(dpi, dis); 
Hv=filter2(HVS, H); 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 

function H=get_hvs(dpi, dis) 

a=0.012; 
b=0.046; 
fmax=log(a/b)/(2*pi*(a-b)); 

N=100; 

[Fm,Fn]=freqspace([N N]); 
[Fm,Fn]=meshgrid(Fm, Fn); 
Fm=Fm*dpi*tan(pi/180)*dis; 
Fn=Fn*dpi*tan(pi/180)*dis; 
Fr=abs(Fm+i*Fn); 
Fa=angle(Fm+i*Fn); 
S=Fr./(0.15*cos(4*Fa)+1.35); 
CSF=exp(-2*pi*S*a)-exp(-2*pi*S*b); 
CSF=CSF/max(max(CSF)); 
CSF=CSF.*(S>=fmax)+ones(size(CSF)).*(SCSF=fftshift(real(ifft2(fftshift(CSF)))); 
[M,N]=find(CSF>0.001); 
H=CSF(min(M):max(M),min(N):max(N)); 
